class Remove < ActiveRecord::Migration[5.1]
  def change
    change_column_default(:accounts, :shop_code, nil)
    change_column_default(:bookings, :shop_code, nil)
    change_column_default(:cashier_terminals, :shop_code, nil)
    change_column_default(:commissioners, :shop_code, nil)
    change_column_default(:commissions, :shop_code, nil)
    change_column_default(:customers, :shop_code, nil)
    change_column_default(:dining_facilities, :shop_code, nil)
    change_column_default(:dining_queues, :shop_code, nil)
    change_column_default(:employees, :shop_code, nil)
    change_column_default(:inventory_definitions, :shop_code, nil)
    change_column_default(:item_sets, :shop_code, nil)
    change_column_default(:lookups, :shop_code, nil)
    change_column_default(:membership_settings, :shop_code, nil)
    change_column_default(:menus, :shop_code, nil)
    change_column_default(:order_queue_stations, :shop_code, nil)
    change_column_default(:orders, :shop_code, nil)
    change_column_default(:payment_journals, :shop_code, nil)
    change_column_default(:payment_method_settings, :shop_code, nil)
    change_column_default(:print_settings, :shop_code, nil)
    change_column_default(:sales, :shop_code, nil)
    change_column_default(:products, :shop_code, nil)
    change_column_default(:promotions, :shop_code, nil)
    change_column_default(:seed_generators, :shop_code, nil)
    change_column_default(:shift_sales, :shop_code, nil)
    change_column_default(:stock_checks, :shop_code, nil)
    change_column_default(:stock_journals, :shop_code, nil)
    change_column_default(:surveys, :shop_code, nil)
    change_column_default(:tax_profiles, :shop_code, nil)
    change_column_default(:zones, :shop_code, nil)
    change_column_default(:stock_check_items, :shop_code, nil)
    change_column_default(:order_reservations, :shop_code, nil)
    change_column_default(:assigned_order_items, :shop_code, nil)
    change_column_default(:membership_actions, :shop_code, nil)
    change_column_default(:dining_charges, :shop_code, nil)
    change_column_default(:order_items, :shop_code, nil)
    change_column_default(:promotion_products, :shop_code, nil)
    change_column_default(:sale_audits, :shop_code, nil)
    change_column_default(:sale_items, :shop_code, nil)
    change_column_default(:sale_payments, :shop_code, nil)
    change_column_default(:sale_taxes, :shop_code, nil)
    change_column_default(:menu_item_instances, :shop_code, nil)
    change_column_default(:menu_items, :shop_code, nil)
  end
end
